/* テストプログラム1  (c)2014 Ryosuke Kawano
  1. ハードウェアは Arduino UNO とブレッドボードを利用する。
  2. 入力装置はプッシュスイッチ 1個。
  3. 出力装置はArduino上のLED 1個。
  4. LED の出力は LOW で消灯、HIGH で点灯。
  5. プッシュスイッチが押されていないときは LEDを消灯する。
  6. プッシュスイッチを押している間はLED を点灯する。
  7. 5以降繰り返し。
*/

const int led = 13;           // D13 は Arduino基板上にLEDあり
const int sw = 2;             // D2 にスイッチを接続

void setup( void ){                
  // 初期化状態
  pinMode( sw, INPUT_PULLUP );
  pinMode( led, OUTPUT );
  // 【条件１】初期化終了が成立
}

void loop( void ){
  // テスト状態
  if ( digitalRead( sw ) == HIGH ){
    // スイッチ オフ（HIGH）のとき
    digitalWrite( led, LOW );
  } else {
    // スイッチ オン（LOW）のとき
    digitalWrite( led, HIGH );
  }
}

